
%global meadversion 1.10.0
%global namedversion 1.10.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}aesh-readline}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.10.0.redhat-00001

Name:           %{?scl_prefix}aesh-readline
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Aesh Readline and terminal
Group:          Development/Java

%if %with mead
Source100: aesh-readline-all-1.10.0.redhat-00001-scm-sources.zip
Source102: aesh-readline-1.10.0.redhat-00001.jar
Source103: aesh-readline-1.10.0.redhat-00001-sources.jar
Source104: aesh-readline-1.10.0.redhat-00001-tests.jar
Source105: aesh-readline-1.10.0.redhat-00001.pom
Source106: aesh-terminal-http-1.10.0.redhat-00001-sources.jar
Source107: aesh-terminal-http-1.10.0.redhat-00001.pom
Source108: aesh-terminal-http-1.10.0.redhat-00001-tests.jar
Source109: aesh-terminal-http-1.10.0.redhat-00001.jar
Source110: aesh-readline-all-1.10.0.redhat-00001-project-sources.tar.gz
Source111: aesh-readline-all-1.10.0.redhat-00001.pom
Source112: aesh-terminal-telnet-1.10.0.redhat-00001-tests.jar
Source113: aesh-terminal-telnet-1.10.0.redhat-00001.pom
Source114: aesh-terminal-telnet-1.10.0.redhat-00001-sources.jar
Source115: aesh-terminal-telnet-1.10.0.redhat-00001.jar
Source116: aesh-terminal-ssh-1.10.0.redhat-00001.jar
Source117: aesh-terminal-ssh-1.10.0.redhat-00001-sources.jar
Source118: aesh-terminal-ssh-1.10.0.redhat-00001-tests.jar
Source119: aesh-terminal-ssh-1.10.0.redhat-00001.pom
Source120: aesh-terminal-api-1.10.0.redhat-00001-tests.jar
Source121: aesh-terminal-api-1.10.0.redhat-00001.pom
Source122: aesh-terminal-api-1.10.0.redhat-00001.jar
Source123: aesh-terminal-api-1.10.0.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/aeshell/aesh-readline
BuildArch:      noarch
BuildRoot:      %{_tmppath}/aesh-readline-%{namedversion}-%{release}-root

%description
Aesh (Another Extendable SHell) Readline and Terminal API.

%package -n %{?scl_prefix}aesh-terminal-api
Summary:        Aesh (Another Extendable SHell) Terminal API
Group:          Development/Java

Requires:       %{?scl_prefix}aesh-readline= %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}aesh-terminal-api
Aesh (Another Extendable SHell) Terminal API.

%package -n %{?scl_prefix}aesh-terminal-http
Summary:        Aesh (Another Extendable SHell) Terminal http
Group:          Development/Java

Requires:       %{?scl_prefix}aesh-readline= %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}aesh-terminal-http
Aesh (Another Extendable SHell) Terminal http.

%package -n %{?scl_prefix}aesh-terminal-ssh
Summary:        Aesh (Another Extendable SHell) Terminal ssh
Group:          Development/Java

Requires:       %{?scl_prefix}aesh-readline= %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}aesh-terminal-ssh
Aesh (Another Extendable SHell) Terminal ssh.

%package -n %{?scl_prefix}aesh-terminal-telnet
Summary:        Aesh (Another Extendable SHell) Terminal telnet
Group:          Development/Java

Requires:       %{?scl_prefix}aesh-readline= %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}aesh-terminal-telnet
Aesh (Another Extendable SHell) Terminal telnet.

%if %with javadoc
%package javadoc
Summary:        Javadoc for aesh-readline
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n aesh-readline -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/aesh-readline-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-readline-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-readline-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-readline-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-readline-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-readline-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/aesh-terminal-api-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-terminal-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-terminal-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-terminal-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-terminal-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-terminal-api-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/aesh-terminal-http-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-terminal-http-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-terminal-http-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-terminal-http-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-terminal-http-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-terminal-http-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/aesh-terminal-ssh-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-terminal-ssh-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-terminal-ssh-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-terminal-ssh-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-terminal-ssh-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-terminal-ssh-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/aesh-terminal-telnet-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-terminal-telnet-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-terminal-telnet-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-terminal-telnet-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-terminal-telnet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-terminal-telnet-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/aesh-readline-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/aesh-readline-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/aesh-readline-%{namedversion} -x META-INF/\*
%{__ln_s} aesh-readline-%{namedversion} %{buildroot}%{_javadocdir}/aesh-readline
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.asciidoc
%{_javadir}/aesh-readline-%{namedversion}.jar
%{_javadir}/aesh-readline.jar
%if %with javadoc
%{_javadir}/aesh-readline-%{namedversion}-javadoc.jar
%{_javadir}/aesh-readline-javadoc.jar
%endif
%{_javadir}/aesh-readline-%{namedversion}-sources.jar
%{_javadir}/aesh-readline-sources.jar

%files -n %{?scl_prefix}aesh-terminal-api
%{_javadir}/aesh-terminal-api-%{namedversion}.jar
%{_javadir}/aesh-terminal-api.jar
%if %with javadoc
%{_javadir}/aesh-terminal-api-%{namedversion}-javadoc.jar
%{_javadir}/aesh-terminal-api-javadoc.jar
%endif
%{_javadir}/aesh-terminal-api-%{namedversion}-sources.jar
%{_javadir}/aesh-terminal-api-sources.jar

%files -n %{?scl_prefix}aesh-terminal-http
%{_javadir}/aesh-terminal-http-%{namedversion}.jar
%{_javadir}/aesh-terminal-http.jar
%if %with javadoc
%{_javadir}/aesh-terminal-http-%{namedversion}-javadoc.jar
%{_javadir}/aesh-terminal-http-javadoc.jar
%endif
%{_javadir}/aesh-terminal-http-%{namedversion}-sources.jar
%{_javadir}/aesh-terminal-http-sources.jar

%files -n %{?scl_prefix}aesh-terminal-ssh
%{_javadir}/aesh-terminal-ssh-%{namedversion}.jar
%{_javadir}/aesh-terminal-ssh.jar
%if %with javadoc
%{_javadir}/aesh-terminal-ssh-%{namedversion}-javadoc.jar
%{_javadir}/aesh-terminal-ssh-javadoc.jar
%endif
%{_javadir}/aesh-terminal-ssh-%{namedversion}-sources.jar
%{_javadir}/aesh-terminal-ssh-sources.jar

%files -n %{?scl_prefix}aesh-terminal-telnet
%{_javadir}/aesh-terminal-telnet-%{namedversion}.jar
%{_javadir}/aesh-terminal-telnet.jar
%if %with javadoc
%{_javadir}/aesh-terminal-telnet-%{namedversion}-javadoc.jar
%{_javadir}/aesh-terminal-telnet-javadoc.jar
%endif
%{_javadir}/aesh-terminal-telnet-%{namedversion}-sources.jar
%{_javadir}/aesh-terminal-telnet-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/aesh-readline-%{namedversion}
%{_javadocdir}/aesh-readline
%endif

%changelog
* Mon Jul 23 2018 Petr Sakar <psakar@redhat.com> - 1.10.0-1.redhat_00001.1
- upgrade to 1.10.0.redhat-00001

* Tue Jun 26 2018 Permaine Cheung <pcheung@redhat.com> - 1.7.0-3.redhat_1.1
- Rewrap (split into subpackages)

* Mon Jun 11 2018 Permaine Cheung <pcheung@redhat.com> - 1.7.0-2.redhat_1.1
- Rewrap for 7.2.0

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.0-1.redhat_1.1
- upgrade to 1.7.0.redhat-1

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.0-1.redhat_1.1
- upgrade to 1.7.0.redhat-1

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.7.0-1.redhat_1.1
- upgrade to 1.7.0.redhat-1

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.5.0-1.redhat_1.1
- 1.5.0.redhat-1 

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.5.0-1.redhat_1.1
- 1.5.0.redhat-1 

* Thu May 10 2018 Yong Yang <yyang@redhat.com> - 1.5.0-1.redhat_1.1
- 1.5.0.redhat-1
